Skip to main content
POST
/
messages
/
{messageId}
/
reaction
curl --request POST \
  --url https://wsapi.chat/messages/{messageId}/reaction \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --header 'X-Instance-Id: <x-instance-id>' \
  --data '
{
  "to": "1234567890@s.whatsapp.net",
  "senderId": "1234567890@s.whatsapp.net",
  "reaction": "👍"
}
'
{
  "id": "01234567890123456"
}

Authorizations

X-Api-Key
string
header
required

Instance or customer-level API key. Either the instance's own API key or the customer's API key is accepted. Must be paired with the X-Instance-Id header to identify the target instance.

Headers

X-Instance-Id
string
default:{{instanceId}}
required

The ID of the WhatsApp instance to use

Path Parameters

messageId
string
required

Message ID

Body

application/json
to
string
required

Chat JID where the message is

reaction
string
required

Emoji reaction character. Send an empty string to remove a previous reaction.

senderId
string

Sender of the original message (for group messages)

Response

Success

id
string

ID of the resource